| Concept OrderedAlphabetConcept Totally strict ordered alphabet.
AssignableConcept | CopyConstructibleConcept | DefaultConstructibleConcept
LessThanComparableConcept
AlphabetConcept | ComparableConcept
OrderedAlphabetConcept
FiniteOrderedAlphabetConcept
Concept Definition Refines AlphabetConcept, ComparableConcept Required Metafunctions
BitsPerValue | Number of bits needed to store a value. (AlphabetConcept)
MaxValue | Supremum for a given type.
MinValue | Infimum for a given type.
Required Functions
assign | Assigns one object to another object. (AssignableConcept)
infimumValueImpl | Implements minValue.
maxValue | Supremum for a given type.
minValue | Infimum for a given type.
operator> | C++ built-in greater-than comparison operator. (ComparableConcept)
operator>= | C++ built-in greather-than-or-equal comparison operator. (ComparableConcept)
operator< | C++ built-in less-than comparison operator.
operator<= | C++ built-in less-than-or-equal comparison operator. (ComparableConcept)
operator= | C++ built-in Assignment operator. (AssignableConcept)
supremumValueImpl | Implements maxValue.
Refinements
FiniteOrderedAlphabetConcept | An type that is of finite domain and totally ordered and thus has a minimum and maximum value.
Include Headers seqan/basic.h Implemented by
SimpleType | Implementation for "simple" types. (FiniteOrderedAlphabetConcept)
Metafunctions
MaxValue | Supremum for a given type.
MinValue | Infimum for a given type.
Functions
infimumValueImpl | Implements minValue.
maxValue | Supremum for a given type.
minValue | Infimum for a given type.
supremumValueImpl | Implements maxValue.
Part of Concept OrderedAlphabetConcept SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57